Subject: [Ietf-calsify] Section 4.8.8.2 Request Status: 3-tuples or pairs?

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Sun Nov 5 14:34:39 2006

In Section 4.8.8.2 Request Status of RFC 2445 it says:

 > The short return status is a PERIOD character (US-ASCII decimal 46)
 > separated 3-tuple of integers. For example, "3.1.1". The successive
 > levels of integers provide for a successive level of status code
 > granularity.

But all the examples in the draft specify REQUEST-STATUS values with
only a pair of integers (e.g., "2.0").

Furthermore, all the values specified in section 3.6 Status Replies of
RFC 2246 are only pair of integers.

I see two options:

a) Change text to allow pairs and 3-tuples;

b) Change text to allow pairs only.

Cheers,
Bernard

---

From: cyrus at daboo.name (Cyrus Daboo)
Date: Mon Nov 6 07:31:10 2006

Hi Bernard,

> b) Change text to allow pairs only.

Actually the ABNF for statuscode shows that it can contain an arbitrary 
number of 'tuples':

statcode   = 1*DIGIT *("." 1*DIGIT)

What we could do is:

statcode   = 1*DIGIT *2("." 1*DIGIT)

That would allow for up to three levels of tuples. It would be consistent 
with the ones currently defined in 2445/2446.

-- 
Cyrus Daboo

---

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Mon Nov 6 07:46:38 2006

Cyrus,

I think we should only allow pairs and 3-tuples, as such it should be:

statcode   = 1*DIGIT 1*2("." 1*DIGIT)
                      ^
Cheers,
Bernard

Cyrus Daboo wrote:
> That would allow for up to three levels of tuples. It would be 
> consistent with the ones currently defined in 2445/2446.
>